--
-- PostgreSQL database dump
--

-- Started on 2007-12-03 09:47:35

SET client_encoding = 'LATIN1';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 2263 (class 0 OID 0)
-- Dependencies: 4
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


--
-- TOC entry 360 (class 2612 OID 16386)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: postgres
--

CREATE PROCEDURAL LANGUAGE plpgsql;


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1440 (class 1259 OID 17570)
-- Dependencies: 2017 2018 2019 2020 2021 2022 2023 2024 2025 2026 4
-- Name: faq_admins; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_admins (
    usernr integer NOT NULL,
    username character varying(80) DEFAULT ''::character varying NOT NULL,
    "password" bytea DEFAULT ''::bytea NOT NULL,
    email character varying(80) DEFAULT ''::character varying NOT NULL,
    rights numeric(2,0) DEFAULT 0::numeric NOT NULL,
    lastlogin numeric(10,0) DEFAULT 0::numeric NOT NULL,
    lockpw numeric(1,0) DEFAULT 0::numeric NOT NULL,
    signature text,
    autopin numeric(10,0) DEFAULT 0::numeric NOT NULL,
    "language" character varying(20) DEFAULT 'en'::character varying NOT NULL,
    hideemail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    lockentry numeric(1,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_admins OWNER TO root;

--
-- TOC entry 1439 (class 1259 OID 17568)
-- Dependencies: 1440 4
-- Name: faq_admins_usernr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_admins_usernr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_admins_usernr_seq OWNER TO root;

--
-- TOC entry 2265 (class 0 OID 0)
-- Dependencies: 1439
-- Name: faq_admins_usernr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_admins_usernr_seq OWNED BY faq_admins.usernr;


--
-- TOC entry 1368 (class 1259 OID 17208)
-- Dependencies: 1837 1838 4
-- Name: faq_bad_words; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_bad_words (
    indexnr integer NOT NULL,
    word character varying(100) DEFAULT ''::character varying NOT NULL,
    replacement character varying(100) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_bad_words OWNER TO root;

--
-- TOC entry 1367 (class 1259 OID 17206)
-- Dependencies: 4 1368
-- Name: faq_bad_words_indexnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_bad_words_indexnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_bad_words_indexnr_seq OWNER TO root;

--
-- TOC entry 2266 (class 0 OID 0)
-- Dependencies: 1367
-- Name: faq_bad_words_indexnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_bad_words_indexnr_seq OWNED BY faq_bad_words.indexnr;


--
-- TOC entry 1430 (class 1259 OID 17505)
-- Dependencies: 1982 1983 1984 4
-- Name: faq_banlist; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_banlist (
    bannr integer NOT NULL,
    ipadr character varying(16) DEFAULT '0.0.0.0'::character varying NOT NULL,
    subnetmask character varying(16) DEFAULT '0.0.0.0'::character varying NOT NULL,
    reason text DEFAULT ''::text NOT NULL
);


ALTER TABLE public.faq_banlist OWNER TO root;

--
-- TOC entry 1429 (class 1259 OID 17503)
-- Dependencies: 1430 4
-- Name: faq_banlist_bannr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_banlist_bannr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_banlist_bannr_seq OWNER TO root;

--
-- TOC entry 2267 (class 0 OID 0)
-- Dependencies: 1429
-- Name: faq_banlist_bannr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_banlist_bannr_seq OWNED BY faq_banlist.bannr;


--
-- TOC entry 1432 (class 1259 OID 17516)
-- Dependencies: 1986 1987 1988 1989 4
-- Name: faq_category; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_category (
    catnr integer NOT NULL,
    categoryname character varying(240) DEFAULT ''::character varying NOT NULL,
    numfaqs numeric(10,0) DEFAULT 0::numeric NOT NULL,
    programm numeric(10,0) DEFAULT 0::numeric,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_category OWNER TO root;

--
-- TOC entry 1434 (class 1259 OID 17527)
-- Dependencies: 1992 1993 4
-- Name: faq_category_admins; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_category_admins (
    catnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    usernr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_category_admins OWNER TO root;

--
-- TOC entry 1431 (class 1259 OID 17514)
-- Dependencies: 4 1432
-- Name: faq_category_catnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_category_catnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_category_catnr_seq OWNER TO root;

--
-- TOC entry 2268 (class 0 OID 0)
-- Dependencies: 1431
-- Name: faq_category_catnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_category_catnr_seq OWNED BY faq_category.catnr;


--
-- TOC entry 1404 (class 1259 OID 17370)
-- Dependencies: 1912 1913 1914 4
-- Name: faq_category_ref; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_category_ref (
    srccatnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    "language" character varying(5) DEFAULT ''::character varying NOT NULL,
    destcatnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_category_ref OWNER TO root;

--
-- TOC entry 1426 (class 1259 OID 17483)
-- Dependencies: 1971 1972 1973 1974 1975 1976 1977 1978 4
-- Name: faq_comments; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_comments (
    commentnr integer NOT NULL,
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    email character varying(140) DEFAULT ''::character varying NOT NULL,
    commenttext text DEFAULT ''::text NOT NULL,
    ipadr character varying(16) DEFAULT '0.0.0.0'::character varying NOT NULL,
    postdate numeric(10,0) DEFAULT 0::numeric NOT NULL,
    rating numeric(10,0) DEFAULT 0::numeric NOT NULL,
    ratingcount numeric(10,0) DEFAULT 0::numeric NOT NULL,
    views numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_comments OWNER TO root;

--
-- TOC entry 1425 (class 1259 OID 17481)
-- Dependencies: 4 1426
-- Name: faq_comments_commentnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_comments_commentnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_comments_commentnr_seq OWNER TO root;

--
-- TOC entry 2269 (class 0 OID 0)
-- Dependencies: 1425
-- Name: faq_comments_commentnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_comments_commentnr_seq OWNED BY faq_comments.commentnr;


--
-- TOC entry 1436 (class 1259 OID 17533)
-- Dependencies: 1995 1996 1997 1998 1999 2000 2001 2002 2003 2004 4
-- Name: faq_data; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_data (
    faqnr integer NOT NULL,
    heading character varying(240) DEFAULT ''::character varying NOT NULL,
    category numeric(10,0) DEFAULT 0::numeric NOT NULL,
    questiontext text,
    editor character varying(80) DEFAULT 'unknown'::character varying NOT NULL,
    editdate numeric(10,0) DEFAULT 0::numeric NOT NULL,
    answertext text,
    views numeric(10,0) DEFAULT 0::numeric NOT NULL,
    ratingcount numeric(10,0) DEFAULT 0::numeric NOT NULL,
    rating numeric(10,0) DEFAULT 0::numeric NOT NULL,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL,
    subcategory numeric(10,0) DEFAULT 0::numeric NOT NULL,
    linkedfaq numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_data OWNER TO root;

--
-- TOC entry 1435 (class 1259 OID 17531)
-- Dependencies: 4 1436
-- Name: faq_data_faqnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_data_faqnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_data_faqnr_seq OWNER TO root;

--
-- TOC entry 2270 (class 0 OID 0)
-- Dependencies: 1435
-- Name: faq_data_faqnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_data_faqnr_seq OWNED BY faq_data.faqnr;


--
-- TOC entry 1385 (class 1259 OID 17287)
-- Dependencies: 1874 4
-- Name: faq_dir_access; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_dir_access (
    entrynr integer NOT NULL,
    dirname character varying(240) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_dir_access OWNER TO root;

--
-- TOC entry 1384 (class 1259 OID 17285)
-- Dependencies: 4 1385
-- Name: faq_dir_access_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_dir_access_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_dir_access_entrynr_seq OWNER TO root;

--
-- TOC entry 2271 (class 0 OID 0)
-- Dependencies: 1384
-- Name: faq_dir_access_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_dir_access_entrynr_seq OWNED BY faq_dir_access.entrynr;


--
-- TOC entry 1424 (class 1259 OID 17474)
-- Dependencies: 1966 1967 1968 1969 4
-- Name: faq_failed_logins; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_failed_logins (
    loginnr integer NOT NULL,
    username character varying(250) DEFAULT '0'::character varying NOT NULL,
    ipadr character varying(16) DEFAULT ''::character varying NOT NULL,
    logindate numeric(10,0) DEFAULT 0::numeric,
    usedpw character varying(240) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_failed_logins OWNER TO root;

--
-- TOC entry 1423 (class 1259 OID 17472)
-- Dependencies: 1424 4
-- Name: faq_failed_logins_loginnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_failed_logins_loginnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_failed_logins_loginnr_seq OWNER TO root;

--
-- TOC entry 2272 (class 0 OID 0)
-- Dependencies: 1423
-- Name: faq_failed_logins_loginnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_failed_logins_loginnr_seq OWNED BY faq_failed_logins.loginnr;


--
-- TOC entry 1417 (class 1259 OID 17438)
-- Dependencies: 1946 4
-- Name: faq_failed_notify; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_failed_notify (
    usernr numeric(10,0) DEFAULT 0::numeric
);


ALTER TABLE public.faq_failed_notify OWNER TO root;

--
-- TOC entry 1381 (class 1259 OID 17273)
-- Dependencies: 1868 1869 4
-- Name: faq_faq_attachs; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_faq_attachs (
    entrynr integer NOT NULL,
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    attachnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_faq_attachs OWNER TO root;

--
-- TOC entry 1380 (class 1259 OID 17271)
-- Dependencies: 1381 4
-- Name: faq_faq_attachs_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_faq_attachs_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_faq_attachs_entrynr_seq OWNER TO root;

--
-- TOC entry 2273 (class 0 OID 0)
-- Dependencies: 1380
-- Name: faq_faq_attachs_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_faq_attachs_entrynr_seq OWNED BY faq_faq_attachs.entrynr;


--
-- TOC entry 1413 (class 1259 OID 17417)
-- Dependencies: 1938 1939 4
-- Name: faq_faq_keywords; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_faq_keywords (
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    keywordnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_faq_keywords OWNER TO root;

--
-- TOC entry 1387 (class 1259 OID 17295)
-- Dependencies: 1877 1878 4
-- Name: faq_faq_os; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_faq_os (
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    osnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_faq_os OWNER TO root;

--
-- TOC entry 1389 (class 1259 OID 17303)
-- Dependencies: 1881 1882 4
-- Name: faq_faq_prog_version; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_faq_prog_version (
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    progversion numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_faq_prog_version OWNER TO root;

--
-- TOC entry 1403 (class 1259 OID 17365)
-- Dependencies: 1909 1910 1911 4
-- Name: faq_faq_ref; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_faq_ref (
    srcfaqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    "language" character varying(5) DEFAULT ''::character varying NOT NULL,
    destfaqnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_faq_ref OWNER TO root;

--
-- TOC entry 1377 (class 1259 OID 17252)
-- Dependencies: 1858 1859 4
-- Name: faq_fileextensions; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_fileextensions (
    entrynr integer NOT NULL,
    mimetype numeric(10,0) DEFAULT 0::numeric NOT NULL,
    extension character varying(20) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_fileextensions OWNER TO root;

--
-- TOC entry 1376 (class 1259 OID 17250)
-- Dependencies: 1377 4
-- Name: faq_fileextensions_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_fileextensions_entrynr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_fileextensions_entrynr_seq OWNER TO root;

--
-- TOC entry 2274 (class 0 OID 0)
-- Dependencies: 1376
-- Name: faq_fileextensions_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_fileextensions_entrynr_seq OWNED BY faq_fileextensions.entrynr;


--
-- TOC entry 1379 (class 1259 OID 17259)
-- Dependencies: 1861 1862 1863 1864 1865 1866 4
-- Name: faq_files; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_files (
    entrynr integer NOT NULL,
    bindata bytea,
    filename character varying(240) DEFAULT ''::character varying NOT NULL,
    mimetype character varying(240) DEFAULT ''::character varying NOT NULL,
    filesize numeric(10,0) DEFAULT 0::numeric NOT NULL,
    fs_filename character varying(240) DEFAULT ''::character varying NOT NULL,
    downloads numeric(10,0) DEFAULT 0::numeric NOT NULL,
    description character varying(255) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_files OWNER TO root;

--
-- TOC entry 1378 (class 1259 OID 17257)
-- Dependencies: 4 1379
-- Name: faq_files_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_files_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_files_entrynr_seq OWNER TO root;

--
-- TOC entry 2275 (class 0 OID 0)
-- Dependencies: 1378
-- Name: faq_files_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_files_entrynr_seq OWNED BY faq_files.entrynr;


--
-- TOC entry 1373 (class 1259 OID 17236)
-- Dependencies: 1851 1852 1853 4
-- Name: faq_filetypedescription; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_filetypedescription (
    mimetype numeric(10,0) DEFAULT 0::numeric NOT NULL,
    "language" character varying(10) DEFAULT ''::character varying NOT NULL,
    description character varying(80) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_filetypedescription OWNER TO root;

--
-- TOC entry 1428 (class 1259 OID 17499)
-- Dependencies: 1980 4
-- Name: faq_freemailer; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_freemailer (
    entrynr integer NOT NULL,
    address character varying(100) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_freemailer OWNER TO root;

--
-- TOC entry 1427 (class 1259 OID 17497)
-- Dependencies: 4 1428
-- Name: faq_freemailer_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_freemailer_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_freemailer_entrynr_seq OWNER TO root;

--
-- TOC entry 2276 (class 0 OID 0)
-- Dependencies: 1427
-- Name: faq_freemailer_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_freemailer_entrynr_seq OWNED BY faq_freemailer.entrynr;


--
-- TOC entry 1414 (class 1259 OID 17421)
-- Dependencies: 1940 1941 4
-- Name: faq_hostcache; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_hostcache (
    ipadr character varying(16) DEFAULT '0'::character varying NOT NULL,
    hostname character varying(240) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_hostcache OWNER TO root;

--
-- TOC entry 1442 (class 1259 OID 17588)
-- Dependencies: 2028 2029 2030 2031 4
-- Name: faq_iplog; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_iplog (
    lognr integer NOT NULL,
    usernr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    logtime numeric(10,0) DEFAULT 0::numeric NOT NULL,
    ipadr character varying(16) DEFAULT ''::character varying NOT NULL,
    used_lang character varying(4) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_iplog OWNER TO root;

--
-- TOC entry 1441 (class 1259 OID 17586)
-- Dependencies: 1442 4
-- Name: faq_iplog_lognr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_iplog_lognr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_iplog_lognr_seq OWNER TO root;

--
-- TOC entry 2277 (class 0 OID 0)
-- Dependencies: 1441
-- Name: faq_iplog_lognr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_iplog_lognr_seq OWNED BY faq_iplog.lognr;


--
-- TOC entry 1412 (class 1259 OID 17400)
-- Dependencies: 1927 1928 1929 1930 1931 1932 1933 1934 1935 1936 1937 4
-- Name: faq_kb_articles; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_articles (
    articlenr integer NOT NULL,
    programm numeric(10,0) DEFAULT 0::numeric NOT NULL,
    heading character varying(240) DEFAULT ''::character varying NOT NULL,
    article text DEFAULT ''::text NOT NULL,
    ratingcount numeric(10,0) DEFAULT 0::numeric NOT NULL,
    rating numeric(10,0) DEFAULT 0::numeric NOT NULL,
    editor character varying(80) DEFAULT ''::character varying NOT NULL,
    lastedited numeric(10,0) DEFAULT 0::numeric NOT NULL,
    category numeric(10,0) DEFAULT 0::numeric NOT NULL,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL,
    subcategory numeric(10,0) DEFAULT 0::numeric NOT NULL,
    views numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_articles OWNER TO root;

--
-- TOC entry 1411 (class 1259 OID 17398)
-- Dependencies: 1412 4
-- Name: faq_kb_articles_articlenr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_kb_articles_articlenr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_kb_articles_articlenr_seq OWNER TO root;

--
-- TOC entry 2278 (class 0 OID 0)
-- Dependencies: 1411
-- Name: faq_kb_articles_articlenr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_kb_articles_articlenr_seq OWNED BY faq_kb_articles.articlenr;


--
-- TOC entry 1383 (class 1259 OID 17280)
-- Dependencies: 1871 1872 4
-- Name: faq_kb_attachs; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_attachs (
    entrynr integer NOT NULL,
    articlenr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    attachnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_attachs OWNER TO root;

--
-- TOC entry 1382 (class 1259 OID 17278)
-- Dependencies: 1383 4
-- Name: faq_kb_attachs_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_kb_attachs_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_kb_attachs_entrynr_seq OWNER TO root;

--
-- TOC entry 2279 (class 0 OID 0)
-- Dependencies: 1382
-- Name: faq_kb_attachs_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_kb_attachs_entrynr_seq OWNED BY faq_kb_attachs.entrynr;


--
-- TOC entry 1410 (class 1259 OID 17391)
-- Dependencies: 1922 1923 1924 1925 4
-- Name: faq_kb_cat; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_cat (
    catnr integer NOT NULL,
    catname character varying(240) DEFAULT ''::character varying NOT NULL,
    heading character varying(250) DEFAULT ''::character varying NOT NULL,
    programm numeric(10,0) DEFAULT 0::numeric NOT NULL,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_cat OWNER TO root;

--
-- TOC entry 1409 (class 1259 OID 17389)
-- Dependencies: 4 1410
-- Name: faq_kb_cat_catnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_kb_cat_catnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_kb_cat_catnr_seq OWNER TO root;

--
-- TOC entry 2280 (class 0 OID 0)
-- Dependencies: 1409
-- Name: faq_kb_cat_catnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_kb_cat_catnr_seq OWNED BY faq_kb_cat.catnr;


--
-- TOC entry 1408 (class 1259 OID 17385)
-- Dependencies: 1919 1920 4
-- Name: faq_kb_keywords; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_keywords (
    articlenr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    keywordnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_keywords OWNER TO root;

--
-- TOC entry 1407 (class 1259 OID 17381)
-- Dependencies: 1917 1918 4
-- Name: faq_kb_os; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_os (
    articlenr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    osnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_os OWNER TO root;

--
-- TOC entry 1388 (class 1259 OID 17299)
-- Dependencies: 1879 1880 4
-- Name: faq_kb_prog_version; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_prog_version (
    articlenr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    progversion numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_prog_version OWNER TO root;

--
-- TOC entry 1391 (class 1259 OID 17309)
-- Dependencies: 1884 1885 1886 4
-- Name: faq_kb_ratings; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_ratings (
    entrynr integer NOT NULL,
    rating numeric(10,0) DEFAULT 0::numeric NOT NULL,
    articlenr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    ratingcomment text DEFAULT ''::text NOT NULL
);


ALTER TABLE public.faq_kb_ratings OWNER TO root;

--
-- TOC entry 1390 (class 1259 OID 17307)
-- Dependencies: 1391 4
-- Name: faq_kb_ratings_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_kb_ratings_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_kb_ratings_entrynr_seq OWNER TO root;

--
-- TOC entry 2281 (class 0 OID 0)
-- Dependencies: 1390
-- Name: faq_kb_ratings_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_kb_ratings_entrynr_seq OWNED BY faq_kb_ratings.entrynr;


--
-- TOC entry 1398 (class 1259 OID 17343)
-- Dependencies: 1898 1899 1900 1901 4
-- Name: faq_kb_subcat; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_kb_subcat (
    catnr integer NOT NULL,
    catname character varying(240) DEFAULT ''::character varying NOT NULL,
    heading character varying(250) DEFAULT ''::character varying NOT NULL,
    category numeric(10,0) DEFAULT 0::numeric NOT NULL,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_kb_subcat OWNER TO root;

--
-- TOC entry 1397 (class 1259 OID 17341)
-- Dependencies: 4 1398
-- Name: faq_kb_subcat_catnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_kb_subcat_catnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_kb_subcat_catnr_seq OWNER TO root;

--
-- TOC entry 2282 (class 0 OID 0)
-- Dependencies: 1397
-- Name: faq_kb_subcat_catnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_kb_subcat_catnr_seq OWNED BY faq_kb_subcat.catnr;


--
-- TOC entry 1406 (class 1259 OID 17377)
-- Dependencies: 1916 4
-- Name: faq_keywords; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_keywords (
    keywordnr integer NOT NULL,
    keyword character varying(250) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_keywords OWNER TO root;

--
-- TOC entry 1405 (class 1259 OID 17375)
-- Dependencies: 4 1406
-- Name: faq_keywords_keywordnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_keywords_keywordnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_keywords_keywordnr_seq OWNER TO root;

--
-- TOC entry 2283 (class 0 OID 0)
-- Dependencies: 1405
-- Name: faq_keywords_keywordnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_keywords_keywordnr_seq OWNED BY faq_keywords.keywordnr;


--
-- TOC entry 1444 (class 1259 OID 17597)
-- Dependencies: 2033 2034 2035 2036 2037 2038 2039 2040 2041 2042 2043 2044 2045 2046 2047 2048 2049 2050 2051 2052 2053 2054 2055 2056 2057 2058 2059 2060 2061 2062 2063 2064 2065 2066 2067 2068 2069 2070 2071 2072 2073 2074 2075 2076 2077 2078 2079 2080 2081 2082 2083 2084 2085 2086 2087 2088 2089 2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105 2106 2107 2108 2109 2110 2111 2112 2113 2114 2115 2116 2117 2118 2119 2120 2121 2122 2123 2124 2125 2126 2127 2128 2129 2130 2131 2132 2133 2134 2135 2136 2137 2138 2139 2140 2141 2142 2143 2144 2145 2146 2147 2148 2149 2150 2151 2152 2153 2154 2155 2156 2157 2158 2159 2160 2161 2162 2163 2164 2165 2166 2167 2168 2169 2170 2171 2172 2173 2174 2175 2176 2177 2178 2179 2180 2181 2182 2183 2184 2185 2186 2187 2188 2189 2190 2191 2192 2193 2194 2195 2196 2197 2198 2199 2200 2201 2202 2203 2204 2205 2206 2207 2208 2209 2210 2211 2212 2213 2214 2215 2216 2217 2218 2219 2220 2221 2222 2223 2224 2225 2226 2227 2228 2229 2230 2231 2232 2233 2234 2235 2236 2237 2238 2239 2240 2241 2242 2243 4
-- Name: faq_layout; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_layout (
    layoutnr integer NOT NULL,
    headingbg character varying(8) DEFAULT ''::character varying NOT NULL,
    bgcolor1 character varying(8) DEFAULT ''::character varying NOT NULL,
    bgcolor2 character varying(8) DEFAULT ''::character varying NOT NULL,
    pagebg character varying(8) DEFAULT ''::character varying NOT NULL,
    tablewidth character varying(10) DEFAULT ''::character varying NOT NULL,
    fontface character varying(80) DEFAULT ''::character varying NOT NULL,
    fontsize1 character varying(10) DEFAULT ''::character varying NOT NULL,
    fontsize2 character varying(10) DEFAULT ''::character varying NOT NULL,
    fontsize3 character varying(10) DEFAULT ''::character varying NOT NULL,
    fontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    fontsize4 character varying(10) DEFAULT ''::character varying NOT NULL,
    bgcolor3 character varying(8) DEFAULT ''::character varying NOT NULL,
    stylesheet character varying(80) DEFAULT ''::character varying NOT NULL,
    headingfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    subheadingfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    linkcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    vlinkcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    alinkcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    groupfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    tabledescfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    fontsize5 character varying(10) DEFAULT ''::character varying NOT NULL,
    dateformat character varying(10) DEFAULT ''::character varying NOT NULL,
    newtime numeric(4,0) DEFAULT 0::numeric NOT NULL,
    newpic character varying(80) DEFAULT ''::character varying NOT NULL,
    searchpic character varying(80) DEFAULT ''::character varying NOT NULL,
    printpic character varying(80) DEFAULT ''::character varying NOT NULL,
    backpic character varying(80) DEFAULT ''::character varying NOT NULL,
    listpic character varying(80) DEFAULT ''::character varying NOT NULL,
    pageheader text NOT NULL,
    pagefooter text NOT NULL,
    usecustomheader numeric(1,0) DEFAULT 1::numeric NOT NULL,
    usecustomfooter numeric(1,0) DEFAULT 1::numeric NOT NULL,
    emailpic character varying(80) DEFAULT ''::character varying NOT NULL,
    questionpic character varying(80) DEFAULT ''::character varying NOT NULL,
    usercommentpic character varying(80) DEFAULT ''::character varying NOT NULL,
    allowlists numeric(1,0) DEFAULT 1::numeric NOT NULL,
    allowsearch numeric(1,0) DEFAULT 1::numeric NOT NULL,
    searchcomments numeric(1,0) DEFAULT 1::numeric NOT NULL,
    searchquestions numeric(1,0) DEFAULT 1::numeric NOT NULL,
    showsummary numeric(1,0) DEFAULT 1::numeric NOT NULL,
    summarylength numeric(2,0) DEFAULT 40::numeric NOT NULL,
    progrestrict numeric(1,0) DEFAULT 1::numeric NOT NULL,
    footerfile character varying(240) DEFAULT ''::character varying NOT NULL,
    headerfile character varying(240) DEFAULT ''::character varying NOT NULL,
    printheader numeric(1,0) DEFAULT 0::numeric NOT NULL,
    printfooter numeric(1,0) DEFAULT 0::numeric NOT NULL,
    mincommentlength numeric(3,0) DEFAULT 0::numeric NOT NULL,
    minquestionlength numeric(3,0) DEFAULT 0::numeric NOT NULL,
    proginfopic character varying(80) DEFAULT ''::character varying NOT NULL,
    proginfowidth numeric(4,0) DEFAULT 0::numeric NOT NULL,
    proginfoheight numeric(4,0) DEFAULT 0::numeric NOT NULL,
    textareawidth numeric(4,0) DEFAULT 0::numeric NOT NULL,
    textareaheight numeric(4,0) DEFAULT 0::numeric NOT NULL,
    proginfoleft numeric(4,0) DEFAULT 0::numeric NOT NULL,
    proginfotop numeric(4,0) DEFAULT 0::numeric NOT NULL,
    helpwindowwidth numeric(4,0) DEFAULT 0::numeric NOT NULL,
    helpwindowheight numeric(4,0) DEFAULT 0::numeric NOT NULL,
    helpwindowleft numeric(4,0) DEFAULT 0::numeric NOT NULL,
    helpwindowtop numeric(4,0) DEFAULT 0::numeric NOT NULL,
    helppic character varying(80) DEFAULT ''::character varying NOT NULL,
    closepic character varying(80) DEFAULT ''::character varying NOT NULL,
    kbmode character varying(20) DEFAULT 'wizard'::character varying NOT NULL,
    defsearchmethod numeric(1,0) DEFAULT 0::numeric NOT NULL,
    enablekeywordsearch numeric(1,0) DEFAULT 1::numeric NOT NULL,
    enablelanguageselector numeric(1,0) DEFAULT 0::numeric NOT NULL,
    faqsortmethod numeric(1,0) DEFAULT 0::numeric NOT NULL,
    kbsortmethod numeric(1,0) DEFAULT 0::numeric NOT NULL,
    copyrightpos numeric(1,0) DEFAULT 0::numeric NOT NULL,
    copyrightbgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    ascheader text NOT NULL,
    subheadingbgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    actionbgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    headerfilepos numeric(1,0) DEFAULT 0::numeric NOT NULL,
    footerfilepos numeric(1,0) DEFAULT 0::numeric NOT NULL,
    newinfobgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    useascheader numeric(1,0) DEFAULT 0::numeric NOT NULL,
    asclinelength numeric(4,0) DEFAULT 0::numeric NOT NULL,
    ascforcewrap numeric(1,0) DEFAULT 0::numeric NOT NULL,
    addbodytags character varying(240) DEFAULT ''::character varying NOT NULL,
    asclistmimetype numeric(1,0) DEFAULT 0::numeric NOT NULL,
    asclistcharset character varying(80) DEFAULT 'iso-8859-1'::character varying NOT NULL,
    keywordsearchmode numeric(1,0) DEFAULT 0::numeric NOT NULL,
    questionrequireos numeric(1,0) DEFAULT 1::numeric NOT NULL,
    questionrequireversion numeric(1,0) DEFAULT 0::numeric NOT NULL,
    newfaqdisplaymethod numeric(1,0) DEFAULT 0::numeric NOT NULL,
    enablefaqnewdisplay numeric(1,0) DEFAULT 0::numeric NOT NULL,
    faqnewdisplaybgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    faqnewdisplayfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    listallfaqmethod numeric(1,0) DEFAULT 0::numeric NOT NULL,
    enableshortcutbar numeric(1,0) DEFAULT 0::numeric NOT NULL,
    enablejumpboxes numeric(1,0) DEFAULT 0::numeric NOT NULL,
    subcatbgcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    subcatfontcolor character varying(8) DEFAULT ''::character varying NOT NULL,
    displayrelated numeric(1,0) DEFAULT 0::numeric NOT NULL,
    htmllisttype numeric(2,0) DEFAULT 0::numeric NOT NULL,
    pagetoppic character varying(80) DEFAULT 'gfx/top.gif'::character varying NOT NULL,
    attachpic character varying(80) DEFAULT 'gfx/attach.gif'::character varying NOT NULL,
    summaryintotallist numeric(1,0) DEFAULT 0::numeric NOT NULL,
    summarychars numeric(2,0) DEFAULT 40::numeric NOT NULL,
    maxentries numeric(10,0) DEFAULT 0::numeric NOT NULL,
    activcellcolor character varying(8) DEFAULT '#ffff72'::character varying NOT NULL,
    ratingspublic numeric(1,0) DEFAULT 0::numeric NOT NULL,
    ratingcommentpublic numeric(1,0) DEFAULT 0::numeric NOT NULL,
    hovercells numeric(1,0) DEFAULT 0::numeric NOT NULL,
    qesautopub numeric(1,0) DEFAULT 0::numeric NOT NULL,
    ns6style character varying(240) DEFAULT 'faq_ns6.css'::character varying NOT NULL,
    operastyle character varying(240) DEFAULT 'faq_opera.css'::character varying NOT NULL,
    geckostyle character varying(240) DEFAULT 'faq_gecko.css'::character varying NOT NULL,
    konquerorstyle character varying(240) DEFAULT 'faq_konqueror.css'::character varying NOT NULL,
    ascheaderfile character varying(240) DEFAULT ''::character varying NOT NULL,
    ascheaderfilepos numeric(1,0) DEFAULT 0::numeric NOT NULL,
    numlatest numeric(4,0) DEFAULT 10::numeric NOT NULL,
    colorscrollbars numeric(1,0) DEFAULT 1::numeric NOT NULL,
    sbfacecolor character varying(7) DEFAULT '#94AAD6'::character varying NOT NULL,
    sbhighlightcolor character varying(7) DEFAULT '#AFEEEE'::character varying NOT NULL,
    sbshadowcolor character varying(7) DEFAULT '#ADD8E6'::character varying NOT NULL,
    sb3dlightcolor character varying(7) DEFAULT '#1E90FF'::character varying NOT NULL,
    sbarrowcolor character varying(7) DEFAULT '#0000ff'::character varying NOT NULL,
    sbtrackcolor character varying(7) DEFAULT '#E0FFFF'::character varying NOT NULL,
    sbdarkshadowcolor character varying(7) DEFAULT '#4682B4'::character varying NOT NULL,
    pagebgpic character varying(240) DEFAULT ''::character varying NOT NULL,
    tabledescfontsize character varying(20) DEFAULT '10pt'::character varying NOT NULL,
    langselectfontsize character varying(20) DEFAULT '10pt'::character varying NOT NULL,
    faqnewfontsize character varying(20) DEFAULT '10pt'::character varying NOT NULL,
    jumpboxfontsize character varying(20) DEFAULT '10pt'::character varying NOT NULL,
    actionlinefontsize character varying(20) DEFAULT '9pt'::character varying NOT NULL,
    newinfofontsize character varying(20) DEFAULT '9pt'::character varying NOT NULL,
    newinfofontcolor character varying(7) DEFAULT '#000000'::character varying NOT NULL,
    shortbarfontsize character varying(20) DEFAULT '9pt'::character varying NOT NULL,
    jumpboxsorting numeric(4,0) DEFAULT 0::numeric NOT NULL,
    disableasclist numeric(1,0) DEFAULT 0::numeric NOT NULL,
    disablehtmlemail numeric(1,0) DEFAULT 1::numeric NOT NULL,
    contentcopy character varying(250) DEFAULT ''::character varying NOT NULL,
    pagebgattach character varying(80) DEFAULT 'scroll'::character varying NOT NULL,
    pagebgrepeat character varying(80) DEFAULT 'repeat'::character varying NOT NULL,
    pagebgposition character varying(80) DEFAULT 'top'::character varying NOT NULL,
    subcatfontsize character varying(10) DEFAULT '12pt'::character varying NOT NULL,
    questionshorting numeric(10,0) DEFAULT 20::numeric NOT NULL,
    cc_font character varying(80) DEFAULT '"Times New Roman", Times, serif'::character varying NOT NULL,
    cc_fontsize character varying(20) DEFAULT '12pt'::character varying NOT NULL,
    cc_fontcolor character varying(7) DEFAULT ''::character varying NOT NULL,
    subscriptionpic character varying(240) DEFAULT 'gfx/subscribe.gif'::character varying NOT NULL,
    irow_bgcolor character varying(7) DEFAULT '#ADD8E6'::character varying NOT NULL,
    irow_fontcolor character varying(7) DEFAULT '#808100'::character varying NOT NULL,
    irow_fontsize character varying(20) DEFAULT '12pt'::character varying NOT NULL,
    pagenavfontcolor character varying(7) DEFAULT '#000000'::character varying NOT NULL,
    pagenavfontsize character varying(20) DEFAULT '9pt'::character varying NOT NULL,
    subcatfontstyle numeric(2,0) DEFAULT 1::numeric NOT NULL,
    linkoptions numeric(4,0) DEFAULT 0::numeric NOT NULL,
    listoptions numeric(4,0) DEFAULT 0::numeric NOT NULL,
    clist_linkcolor character varying(7) DEFAULT '#000000'::character varying NOT NULL,
    clist_vlinkcolor character varying(7) DEFAULT '#000000'::character varying NOT NULL,
    clist_alinkcolor character varying(7) DEFAULT '#000000'::character varying NOT NULL,
    shownextprev numeric(1,0) DEFAULT 0::numeric NOT NULL,
    nextprevmode numeric(1,0) DEFAULT 0::numeric NOT NULL,
    kbsearchoptions numeric(10,0) DEFAULT 0::numeric NOT NULL,
    searchoptions numeric(4,0) DEFAULT 0::numeric NOT NULL,
    displayoptions numeric(4,0) DEFAULT 0::numeric NOT NULL,
    nextpagepic character varying(80) DEFAULT 'gfx/fwd.gif'::character varying NOT NULL,
    prevpagepic character varying(80) DEFAULT 'gfx/prev.gif'::character varying NOT NULL,
    firstpagepic character varying(80) DEFAULT 'gfx/first.gif'::character varying NOT NULL,
    lastpagepic character varying(80) DEFAULT 'gfx/last.gif'::character varying NOT NULL,
    usepagenavicons numeric(1,0) DEFAULT 1::numeric NOT NULL,
    displayvotesinline numeric(1,0) DEFAULT 0::numeric NOT NULL,
    tablealign numeric(4,0) DEFAULT 2::numeric NOT NULL,
    votesinlinedisplaymode numeric(1,0) DEFAULT 0::numeric NOT NULL,
    navbarwidth numeric(10,0) DEFAULT 250::numeric NOT NULL,
    navsync numeric(1,0) DEFAULT 1::numeric NOT NULL,
    navpic_progclosed character varying(80) DEFAULT 'gfx/book_closed.gif'::character varying NOT NULL,
    navpic_progopen character varying(80) DEFAULT 'gfx/book_open.gif'::character varying NOT NULL,
    navpic_proglocked character varying(80) DEFAULT 'gfx/book_locked.gif'::character varying NOT NULL,
    navpic_faq character varying(80) DEFAULT 'gfx/document.gif'::character varying NOT NULL,
    navpic_question character varying(80) DEFAULT 'gfx/question2.gif'::character varying NOT NULL,
    navpic_catclosed character varying(80) DEFAULT 'gfx/cat_closed.gif'::character varying NOT NULL,
    navpic_catopen character varying(80) DEFAULT 'gfx/cat_open.gif'::character varying NOT NULL,
    navpic_catlocked character varying(80) DEFAULT 'gfx/cat_locked.gif'::character varying NOT NULL,
    navpic_subcatopen character varying(80) DEFAULT 'gfx/subcat_open.gif'::character varying NOT NULL,
    navpic_subcatclosed character varying(80) DEFAULT 'gfx/subcat_closed.gif'::character varying NOT NULL,
    navpic_subcatlocked character varying(80) DEFAULT 'gfx/subcat_locked.gif'::character varying NOT NULL,
    searchhighlightcolor character varying(7) DEFAULT '#ff0000'::character varying NOT NULL,
    searchhighlight numeric(1,0) DEFAULT 0::numeric NOT NULL,
    navpic_kbarticle character varying(80) DEFAULT 'gfx/document.gif'::character varying NOT NULL,
    navpic_kbwizard character varying(80) DEFAULT 'gfx/wizard.gif'::character varying NOT NULL,
    kbnavoptions numeric(10,0) DEFAULT 0::numeric NOT NULL,
    navpic_kbsearch character varying(80) DEFAULT 'gfx/search.gif'::character varying NOT NULL,
    navtreepos numeric(1,0) DEFAULT 0::numeric NOT NULL,
    search_inputfieldwidth numeric(4,0) DEFAULT 60::numeric NOT NULL,
    faqnavoptions numeric(10,0) DEFAULT 0::numeric NOT NULL,
    id character varying(10) DEFAULT ''::character varying NOT NULL,
    deflayout numeric(1,0) DEFAULT 0::numeric NOT NULL,
    tablespacing numeric(4,0) DEFAULT 1::numeric NOT NULL,
    tablepadding numeric(4,0) DEFAULT 1::numeric NOT NULL,
    extdateformat character varying(20) DEFAULT 'Y-m-d H:i:s'::character varying NOT NULL,
    srchtoolpic character varying(80) DEFAULT 'gfx/srchtool.gif'::character varying NOT NULL,
    donltrans numeric(4,0) DEFAULT 0::numeric NOT NULL,
    displayattachinfo numeric(1,0) DEFAULT 1::numeric NOT NULL,
    showeditor numeric(1,0) DEFAULT 0::numeric NOT NULL,
    inputfont character varying(80) DEFAULT 'Verdana, Geneva, Arial, Helvetica, sans-serif'::character varying NOT NULL,
    inputfontsize character varying(10) DEFAULT '10pt'::character varying NOT NULL,
    inputfontcolor character varying(8) DEFAULT '#000000'::character varying NOT NULL,
    inputbgcolor character varying(8) DEFAULT '#eeeeee'::character varying NOT NULL,
    inputbordercolor character varying(8) DEFAULT '#000000'::character varying NOT NULL,
    inputbordersize character varying(20) DEFAULT 'thin'::character varying NOT NULL,
    selbordersize character varying(20) DEFAULT ''::character varying NOT NULL,
    inputnostyles numeric(1,0) DEFAULT 0::numeric NOT NULL,
    inputborderstyle character varying(20) DEFAULT 'inset'::character varying NOT NULL,
    selborderstyle character varying(20) DEFAULT 'inset'::character varying NOT NULL,
    buttonfont character varying(80) DEFAULT 'Verdana, Geneva, Arial, Helvetica, sans-serif'::character varying NOT NULL,
    buttonfontsize character varying(10) DEFAULT '10pt'::character varying NOT NULL,
    buttonfontcolor character varying(8) DEFAULT '#000000'::character varying NOT NULL,
    buttonbgcolor character varying(8) DEFAULT '#eeeeee'::character varying NOT NULL,
    buttonbordercolor character varying(8) DEFAULT '#000000'::character varying NOT NULL,
    buttonbordersize character varying(20) DEFAULT 'thin'::character varying NOT NULL,
    buttonborderstyle character varying(20) DEFAULT 'solid'::character varying NOT NULL
);


ALTER TABLE public.faq_layout OWNER TO root;

--
-- TOC entry 1443 (class 1259 OID 17595)
-- Dependencies: 4 1444
-- Name: faq_layout_layoutnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_layout_layoutnr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_layout_layoutnr_seq OWNER TO root;

--
-- TOC entry 2284 (class 0 OID 0)
-- Dependencies: 1443
-- Name: faq_layout_layoutnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_layout_layoutnr_seq OWNED BY faq_layout.layoutnr;


--
-- TOC entry 1370 (class 1259 OID 17215)
-- Dependencies: 1840 4
-- Name: faq_leachers; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_leachers (
    entrynr integer NOT NULL,
    useragent character varying(80) DEFAULT ''::character varying NOT NULL,
    description text
);


ALTER TABLE public.faq_leachers OWNER TO root;

--
-- TOC entry 1369 (class 1259 OID 17213)
-- Dependencies: 1370 4
-- Name: faq_leachers_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_leachers_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_leachers_entrynr_seq OWNER TO root;

--
-- TOC entry 2285 (class 0 OID 0)
-- Dependencies: 1369
-- Name: faq_leachers_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_leachers_entrynr_seq OWNED BY faq_leachers.entrynr;


--
-- TOC entry 1375 (class 1259 OID 17245)
-- Dependencies: 1855 1856 4
-- Name: faq_mimetypes; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_mimetypes (
    entrynr integer NOT NULL,
    mimetype character varying(240) DEFAULT ''::character varying NOT NULL,
    icon character varying(240) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_mimetypes OWNER TO root;

--
-- TOC entry 1374 (class 1259 OID 17243)
-- Dependencies: 4 1375
-- Name: faq_mimetypes_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_mimetypes_entrynr_seq
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_mimetypes_entrynr_seq OWNER TO root;

--
-- TOC entry 2286 (class 0 OID 0)
-- Dependencies: 1374
-- Name: faq_mimetypes_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_mimetypes_entrynr_seq OWNED BY faq_mimetypes.entrynr;


--
-- TOC entry 1446 (class 1259 OID 17824)
-- Dependencies: 2249 4
-- Name: faq_misc; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_misc (
    shutdown numeric(3,0) DEFAULT 0::numeric NOT NULL,
    shutdowntext text
);


ALTER TABLE public.faq_misc OWNER TO root;

--
-- TOC entry 1422 (class 1259 OID 17468)
-- Dependencies: 1964 4
-- Name: faq_os; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_os (
    osnr integer NOT NULL,
    osname character varying(180) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_os OWNER TO root;

--
-- TOC entry 1421 (class 1259 OID 17466)
-- Dependencies: 4 1422
-- Name: faq_os_osnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_os_osnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_os_osnr_seq OWNER TO root;

--
-- TOC entry 2287 (class 0 OID 0)
-- Dependencies: 1421
-- Name: faq_os_osnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_os_osnr_seq OWNED BY faq_os.osnr;


--
-- TOC entry 1386 (class 1259 OID 17291)
-- Dependencies: 1875 1876 4
-- Name: faq_prog_dirs; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_prog_dirs (
    prognr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    dirnr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_prog_dirs OWNER TO root;

--
-- TOC entry 1420 (class 1259 OID 17462)
-- Dependencies: 1961 1962 4
-- Name: faq_prog_os; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_prog_os (
    osnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    prognr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_prog_os OWNER TO root;

--
-- TOC entry 1438 (class 1259 OID 17552)
-- Dependencies: 2006 2007 2008 2009 2010 2011 2012 2013 2014 2015 4
-- Name: faq_programm; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_programm (
    prognr integer NOT NULL,
    programmname character varying(240) DEFAULT ''::character varying NOT NULL,
    numcats numeric(10,0) DEFAULT 0::numeric,
    progid character varying(10) DEFAULT ''::character varying NOT NULL,
    "language" character varying(5) DEFAULT 'de'::character varying NOT NULL,
    newsgroup character varying(250) DEFAULT ''::character varying NOT NULL,
    newssubject character varying(80),
    nntpserver character varying(80),
    newsdomain character varying(80),
    description text DEFAULT ''::text NOT NULL,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL,
    lastmailed numeric(10,0) DEFAULT 0::numeric NOT NULL,
    htmlmailtype numeric(1,0) DEFAULT 0::numeric NOT NULL,
    subscriptionavail numeric(1,0) DEFAULT 1::numeric NOT NULL
);


ALTER TABLE public.faq_programm OWNER TO root;

--
-- TOC entry 1433 (class 1259 OID 17523)
-- Dependencies: 1990 1991 4
-- Name: faq_programm_admins; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_programm_admins (
    prognr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    usernr numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_programm_admins OWNER TO root;

--
-- TOC entry 1437 (class 1259 OID 17550)
-- Dependencies: 4 1438
-- Name: faq_programm_prognr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_programm_prognr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_programm_prognr_seq OWNER TO root;

--
-- TOC entry 2288 (class 0 OID 0)
-- Dependencies: 1437
-- Name: faq_programm_prognr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_programm_prognr_seq OWNED BY faq_programm.prognr;


--
-- TOC entry 1402 (class 1259 OID 17360)
-- Dependencies: 1907 1908 4
-- Name: faq_programm_version; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_programm_version (
    entrynr integer NOT NULL,
    programm numeric(10,0) DEFAULT 0::numeric NOT NULL,
    version character varying(20) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.faq_programm_version OWNER TO root;

--
-- TOC entry 1401 (class 1259 OID 17358)
-- Dependencies: 1402 4
-- Name: faq_programm_version_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_programm_version_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_programm_version_entrynr_seq OWNER TO root;

--
-- TOC entry 2289 (class 0 OID 0)
-- Dependencies: 1401
-- Name: faq_programm_version_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_programm_version_entrynr_seq OWNED BY faq_programm_version.entrynr;


--
-- TOC entry 1419 (class 1259 OID 17443)
-- Dependencies: 1948 1949 1950 1951 1952 1953 1954 1955 1956 1957 1958 1959 1960 4
-- Name: faq_questions; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_questions (
    questionnr integer NOT NULL,
    prognr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    osname character varying(180),
    versionnr character varying(10),
    email character varying(140) DEFAULT ''::character varying NOT NULL,
    question text DEFAULT ''::text NOT NULL,
    enterdate numeric(10,0) DEFAULT 0::numeric NOT NULL,
    faqref numeric(10,0) DEFAULT 0::numeric,
    posterip character varying(20) DEFAULT ''::character varying NOT NULL,
    answerdate numeric(20,0) DEFAULT 0::numeric NOT NULL,
    answerauthor numeric(10,0) DEFAULT 0::numeric NOT NULL,
    answer text DEFAULT ''::text NOT NULL,
    "language" character varying(5) DEFAULT 'de'::character varying NOT NULL,
    questionref numeric(10,0) DEFAULT 0::numeric NOT NULL,
    publish numeric(1,0) DEFAULT 0::numeric NOT NULL,
    state numeric(2,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_questions OWNER TO root;

--
-- TOC entry 1418 (class 1259 OID 17441)
-- Dependencies: 4 1419
-- Name: faq_questions_questionnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_questions_questionnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_questions_questionnr_seq OWNER TO root;

--
-- TOC entry 2290 (class 0 OID 0)
-- Dependencies: 1418
-- Name: faq_questions_questionnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_questions_questionnr_seq OWNED BY faq_questions.questionnr;


--
-- TOC entry 1393 (class 1259 OID 17320)
-- Dependencies: 1888 1889 1890 4
-- Name: faq_ratings; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_ratings (
    entrynr integer NOT NULL,
    rating numeric(10,0) DEFAULT 0::numeric NOT NULL,
    faqnr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    ratingcomment text DEFAULT ''::text NOT NULL
);


ALTER TABLE public.faq_ratings OWNER TO root;

--
-- TOC entry 1392 (class 1259 OID 17318)
-- Dependencies: 4 1393
-- Name: faq_ratings_entrynr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_ratings_entrynr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_ratings_entrynr_seq OWNER TO root;

--
-- TOC entry 2291 (class 0 OID 0)
-- Dependencies: 1392
-- Name: faq_ratings_entrynr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_ratings_entrynr_seq OWNED BY faq_ratings.entrynr;


--
-- TOC entry 1396 (class 1259 OID 17337)
-- Dependencies: 1895 1896 4
-- Name: faq_related_categories; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_related_categories (
    srccat numeric(10,0) DEFAULT 0::numeric NOT NULL,
    destcat numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_related_categories OWNER TO root;

--
-- TOC entry 1394 (class 1259 OID 17329)
-- Dependencies: 1891 1892 4
-- Name: faq_related_faq; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_related_faq (
    srcfaq numeric(10,0) DEFAULT 0::numeric NOT NULL,
    destfaq numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_related_faq OWNER TO root;

--
-- TOC entry 1395 (class 1259 OID 17333)
-- Dependencies: 1893 1894 4
-- Name: faq_related_subcat; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_related_subcat (
    srccat numeric(10,0) DEFAULT 0::numeric NOT NULL,
    destcat numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_related_subcat OWNER TO root;

--
-- TOC entry 1445 (class 1259 OID 17814)
-- Dependencies: 2244 2245 2246 2247 2248 4
-- Name: faq_session; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_session (
    sessid numeric(10,0) DEFAULT 0::numeric NOT NULL,
    usernr numeric(10,0) DEFAULT 0::numeric NOT NULL,
    starttime numeric(10,0) DEFAULT 0::numeric NOT NULL,
    remoteip character varying(15) DEFAULT ''::character varying NOT NULL,
    lastlogin numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_session OWNER TO root;

--
-- TOC entry 1366 (class 1259 OID 17144)
-- Dependencies: 1780 1781 1782 1783 1784 1785 1786 1787 1788 1789 1790 1791 1792 1793 1794 1795 1796 1797 1798 1799 1800 1801 1802 1803 1804 1805 1806 1807 1808 1809 1810 1811 1812 1813 1814 1815 1816 1817 1818 1819 1820 1821 1822 1823 1824 1825 1826 1827 1828 1829 1830 1831 1832 1833 1834 1835 4
-- Name: faq_settings; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_settings (
    settingnr integer NOT NULL,
    showproglist numeric(1,0) DEFAULT 0::numeric NOT NULL,
    watchlogins numeric(1,0) DEFAULT 1::numeric NOT NULL,
    allowemail numeric(1,0) DEFAULT 1::numeric NOT NULL,
    urlautoencode numeric(1,0) DEFAULT 1::numeric NOT NULL,
    enablespcode numeric(1,0) DEFAULT 1::numeric NOT NULL,
    nofreemailer numeric(1,0) DEFAULT 0::numeric NOT NULL,
    allowquestions numeric(1,0) DEFAULT 1::numeric NOT NULL,
    faqemail character varying(140) DEFAULT ''::character varying NOT NULL,
    allowusercomments numeric(1,0) DEFAULT 1::numeric NOT NULL,
    newcommentnotify numeric(1,0) DEFAULT 0::numeric NOT NULL,
    enablefailednotify numeric(1,0) DEFAULT 0::numeric NOT NULL,
    loginlimit numeric(5,0) DEFAULT 0::numeric NOT NULL,
    timezone numeric(10,0) DEFAULT 0::numeric NOT NULL,
    enablehostresolve numeric(1,0) DEFAULT 1::numeric NOT NULL,
    ratecomments numeric(1,0) DEFAULT 1::numeric NOT NULL,
    usemenubar numeric(1,0) DEFAULT 1::numeric NOT NULL,
    admtextareasrows numeric(4,0) DEFAULT 30::numeric NOT NULL,
    admtextareascols numeric(4,0) DEFAULT 10::numeric NOT NULL,
    enablekbrating numeric(1,0) DEFAULT 0::numeric NOT NULL,
    userquestionanswermode numeric(1,0) DEFAULT 0::numeric NOT NULL,
    userquestionanswermail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    userquestionautopublish numeric(1,0) DEFAULT 0::numeric NOT NULL,
    faqengine_hostname character varying(140) DEFAULT 'localhost'::character varying NOT NULL,
    ratingcomment numeric(1,0) DEFAULT 0::numeric NOT NULL,
    nosunotify numeric(1,0) DEFAULT 0::numeric NOT NULL,
    blockoldbrowser numeric(1,0) DEFAULT 1::numeric NOT NULL,
    bbccolorbar numeric(1,0) DEFAULT 1::numeric NOT NULL,
    disablehtmlemail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    admstorefaqfilters numeric(1,0) DEFAULT 1::numeric NOT NULL,
    admhideunassigned numeric(1,0) DEFAULT 0::numeric NOT NULL,
    admdelconfirm numeric(1,0) DEFAULT 0::numeric NOT NULL,
    zlibavail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    msendlimit numeric(10,0) DEFAULT 30::numeric NOT NULL,
    subscriptionavail numeric(1,0) DEFAULT 1::numeric NOT NULL,
    admedoptions numeric(10,0) DEFAULT 0::numeric NOT NULL,
    allsendcompressed numeric(1,0) DEFAULT 0::numeric NOT NULL,
    uq_allownoemail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    blockleacher numeric(1,0) DEFAULT 1::numeric NOT NULL,
    defmailsig text NOT NULL,
    faqlistshortcuts numeric(1,0) DEFAULT 0::numeric NOT NULL,
    faqlimitrelated numeric(1,0) DEFAULT 0::numeric NOT NULL,
    displayrating numeric(1,0) DEFAULT 0::numeric NOT NULL,
    admdateformat character varying(20) DEFAULT 'Y-m-d H:i:s'::character varying NOT NULL,
    showtimezone numeric(1,0) DEFAULT 1::numeric NOT NULL,
    showcurrtime numeric(1,0) DEFAULT 1::numeric NOT NULL,
    maxconfirmtime numeric(4,0) DEFAULT 2::numeric NOT NULL,
    dosearchlog numeric(1,0) DEFAULT 0::numeric NOT NULL,
    logdateformat character varying(20) DEFAULT 'Y-m-d H:i:s'::character varying NOT NULL,
    uqscmail numeric(1,0) DEFAULT 0::numeric NOT NULL,
    extfailedlog numeric(1,0) DEFAULT 0::numeric NOT NULL,
    usebwlist numeric(1,0) DEFAULT 0::numeric NOT NULL,
    lhide numeric(1,0) DEFAULT 0::numeric NOT NULL,
    searchmode numeric(3,0) DEFAULT 0::numeric NOT NULL,
    csquestions numeric(1,0) DEFAULT 0::numeric NOT NULL,
    cscomments numeric(1,0) DEFAULT 0::numeric NOT NULL,
    dbversion double precision DEFAULT 0::double precision NOT NULL,
    admdateformatshort character varying(20) DEFAULT 'Y-m-d'::character varying NOT NULL
);


ALTER TABLE public.faq_settings OWNER TO root;

--
-- TOC entry 1365 (class 1259 OID 17142)
-- Dependencies: 1366 4
-- Name: faq_settings_settingnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_settings_settingnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_settings_settingnr_seq OWNER TO root;

--
-- TOC entry 2292 (class 0 OID 0)
-- Dependencies: 1365
-- Name: faq_settings_settingnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_settings_settingnr_seq OWNED BY faq_settings.settingnr;


--
-- TOC entry 1400 (class 1259 OID 17352)
-- Dependencies: 1903 1904 1905 4
-- Name: faq_subcategory; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_subcategory (
    catnr integer NOT NULL,
    categoryname character varying(240) DEFAULT ''::character varying NOT NULL,
    category numeric(10,0) DEFAULT 0::numeric,
    displaypos numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_subcategory OWNER TO root;

--
-- TOC entry 1399 (class 1259 OID 17350)
-- Dependencies: 1400 4
-- Name: faq_subcategory_catnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_subcategory_catnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_subcategory_catnr_seq OWNER TO root;

--
-- TOC entry 2293 (class 0 OID 0)
-- Dependencies: 1399
-- Name: faq_subcategory_catnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_subcategory_catnr_seq OWNED BY faq_subcategory.catnr;


--
-- TOC entry 1372 (class 1259 OID 17224)
-- Dependencies: 1842 1843 1844 1845 1846 1847 1848 1849 1850 4
-- Name: faq_subscriptions; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_subscriptions (
    subscriptionnr integer NOT NULL,
    email character varying(240) DEFAULT ''::character varying NOT NULL,
    confirmed numeric(1,0) DEFAULT 0::numeric NOT NULL,
    "language" character varying(4) DEFAULT ''::character varying NOT NULL,
    subscribeid numeric(10,0) DEFAULT 0::numeric NOT NULL,
    unsubscribeid numeric(10,0) DEFAULT 0::numeric NOT NULL,
    enterdate numeric(10,0) DEFAULT 0::numeric NOT NULL,
    emailtype numeric(1,0) DEFAULT 1::numeric NOT NULL,
    progid character varying(10) DEFAULT ''::character varying NOT NULL,
    compression numeric(1,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_subscriptions OWNER TO root;

--
-- TOC entry 1371 (class 1259 OID 17222)
-- Dependencies: 1372 4
-- Name: faq_subscriptions_subscriptionnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_subscriptions_subscriptionnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_subscriptions_subscriptionnr_seq OWNER TO root;

--
-- TOC entry 2294 (class 0 OID 0)
-- Dependencies: 1371
-- Name: faq_subscriptions_subscriptionnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_subscriptions_subscriptionnr_seq OWNED BY faq_subscriptions.subscriptionnr;


--
-- TOC entry 1416 (class 1259 OID 17429)
-- Dependencies: 1943 1944 1945 4
-- Name: faq_texts; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_texts (
    textnr integer NOT NULL,
    textid character varying(20) DEFAULT ''::character varying NOT NULL,
    lang character varying(4) DEFAULT ''::character varying NOT NULL,
    text text DEFAULT ''::text NOT NULL
);


ALTER TABLE public.faq_texts OWNER TO root;

--
-- TOC entry 1415 (class 1259 OID 17427)
-- Dependencies: 1416 4
-- Name: faq_texts_textnr_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_texts_textnr_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_texts_textnr_seq OWNER TO root;

--
-- TOC entry 2295 (class 0 OID 0)
-- Dependencies: 1415
-- Name: faq_texts_textnr_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_texts_textnr_seq OWNED BY faq_texts.textnr;


--
-- TOC entry 1448 (class 1259 OID 17832)
-- Dependencies: 2251 4
-- Name: faq_val; Type: TABLE; Schema: public; Owner: root; Tablespace: 
--

CREATE TABLE faq_val (
    val_id integer NOT NULL,
    valtxt character(5) NOT NULL,
    timeid numeric(10,0) DEFAULT 0::numeric NOT NULL
);


ALTER TABLE public.faq_val OWNER TO root;

--
-- TOC entry 1447 (class 1259 OID 17830)
-- Dependencies: 4 1448
-- Name: faq_val_val_id_seq; Type: SEQUENCE; Schema: public; Owner: root
--

CREATE SEQUENCE faq_val_val_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.faq_val_val_id_seq OWNER TO root;

--
-- TOC entry 2296 (class 0 OID 0)
-- Dependencies: 1447
-- Name: faq_val_val_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: root
--

ALTER SEQUENCE faq_val_val_id_seq OWNED BY faq_val.val_id;


--
-- TOC entry 2016 (class 2604 OID 17572)
-- Dependencies: 1439 1440 1440
-- Name: usernr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_admins ALTER COLUMN usernr SET DEFAULT nextval('faq_admins_usernr_seq'::regclass);


--
-- TOC entry 1836 (class 2604 OID 17210)
-- Dependencies: 1368 1367 1368
-- Name: indexnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_bad_words ALTER COLUMN indexnr SET DEFAULT nextval('faq_bad_words_indexnr_seq'::regclass);


--
-- TOC entry 1981 (class 2604 OID 17507)
-- Dependencies: 1430 1429 1430
-- Name: bannr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_banlist ALTER COLUMN bannr SET DEFAULT nextval('faq_banlist_bannr_seq'::regclass);


--
-- TOC entry 1985 (class 2604 OID 17518)
-- Dependencies: 1431 1432 1432
-- Name: catnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_category ALTER COLUMN catnr SET DEFAULT nextval('faq_category_catnr_seq'::regclass);


--
-- TOC entry 1970 (class 2604 OID 17485)
-- Dependencies: 1425 1426 1426
-- Name: commentnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_comments ALTER COLUMN commentnr SET DEFAULT nextval('faq_comments_commentnr_seq'::regclass);


--
-- TOC entry 1994 (class 2604 OID 17535)
-- Dependencies: 1435 1436 1436
-- Name: faqnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_data ALTER COLUMN faqnr SET DEFAULT nextval('faq_data_faqnr_seq'::regclass);


--
-- TOC entry 1873 (class 2604 OID 17289)
-- Dependencies: 1385 1384 1385
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_dir_access ALTER COLUMN entrynr SET DEFAULT nextval('faq_dir_access_entrynr_seq'::regclass);


--
-- TOC entry 1965 (class 2604 OID 17476)
-- Dependencies: 1424 1423 1424
-- Name: loginnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_failed_logins ALTER COLUMN loginnr SET DEFAULT nextval('faq_failed_logins_loginnr_seq'::regclass);


--
-- TOC entry 1867 (class 2604 OID 17275)
-- Dependencies: 1380 1381 1381
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_faq_attachs ALTER COLUMN entrynr SET DEFAULT nextval('faq_faq_attachs_entrynr_seq'::regclass);


--
-- TOC entry 1857 (class 2604 OID 17254)
-- Dependencies: 1376 1377 1377
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_fileextensions ALTER COLUMN entrynr SET DEFAULT nextval('faq_fileextensions_entrynr_seq'::regclass);


--
-- TOC entry 1860 (class 2604 OID 17261)
-- Dependencies: 1378 1379 1379
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_files ALTER COLUMN entrynr SET DEFAULT nextval('faq_files_entrynr_seq'::regclass);


--
-- TOC entry 1979 (class 2604 OID 17501)
-- Dependencies: 1428 1427 1428
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_freemailer ALTER COLUMN entrynr SET DEFAULT nextval('faq_freemailer_entrynr_seq'::regclass);


--
-- TOC entry 2027 (class 2604 OID 17590)
-- Dependencies: 1442 1441 1442
-- Name: lognr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_iplog ALTER COLUMN lognr SET DEFAULT nextval('faq_iplog_lognr_seq'::regclass);


--
-- TOC entry 1926 (class 2604 OID 17402)
-- Dependencies: 1412 1411 1412
-- Name: articlenr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_kb_articles ALTER COLUMN articlenr SET DEFAULT nextval('faq_kb_articles_articlenr_seq'::regclass);


--
-- TOC entry 1870 (class 2604 OID 17282)
-- Dependencies: 1382 1383 1383
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_kb_attachs ALTER COLUMN entrynr SET DEFAULT nextval('faq_kb_attachs_entrynr_seq'::regclass);


--
-- TOC entry 1921 (class 2604 OID 17393)
-- Dependencies: 1409 1410 1410
-- Name: catnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_kb_cat ALTER COLUMN catnr SET DEFAULT nextval('faq_kb_cat_catnr_seq'::regclass);


--
-- TOC entry 1883 (class 2604 OID 17311)
-- Dependencies: 1390 1391 1391
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_kb_ratings ALTER COLUMN entrynr SET DEFAULT nextval('faq_kb_ratings_entrynr_seq'::regclass);


--
-- TOC entry 1897 (class 2604 OID 17345)
-- Dependencies: 1398 1397 1398
-- Name: catnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_kb_subcat ALTER COLUMN catnr SET DEFAULT nextval('faq_kb_subcat_catnr_seq'::regclass);


--
-- TOC entry 1915 (class 2604 OID 17379)
-- Dependencies: 1405 1406 1406
-- Name: keywordnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_keywords ALTER COLUMN keywordnr SET DEFAULT nextval('faq_keywords_keywordnr_seq'::regclass);


--
-- TOC entry 2032 (class 2604 OID 17599)
-- Dependencies: 1444 1443 1444
-- Name: layoutnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_layout ALTER COLUMN layoutnr SET DEFAULT nextval('faq_layout_layoutnr_seq'::regclass);


--
-- TOC entry 1839 (class 2604 OID 17217)
-- Dependencies: 1369 1370 1370
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_leachers ALTER COLUMN entrynr SET DEFAULT nextval('faq_leachers_entrynr_seq'::regclass);


--
-- TOC entry 1854 (class 2604 OID 17247)
-- Dependencies: 1375 1374 1375
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_mimetypes ALTER COLUMN entrynr SET DEFAULT nextval('faq_mimetypes_entrynr_seq'::regclass);


--
-- TOC entry 1963 (class 2604 OID 17470)
-- Dependencies: 1421 1422 1422
-- Name: osnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_os ALTER COLUMN osnr SET DEFAULT nextval('faq_os_osnr_seq'::regclass);


--
-- TOC entry 2005 (class 2604 OID 17554)
-- Dependencies: 1438 1437 1438
-- Name: prognr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_programm ALTER COLUMN prognr SET DEFAULT nextval('faq_programm_prognr_seq'::regclass);


--
-- TOC entry 1906 (class 2604 OID 17362)
-- Dependencies: 1401 1402 1402
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_programm_version ALTER COLUMN entrynr SET DEFAULT nextval('faq_programm_version_entrynr_seq'::regclass);


--
-- TOC entry 1947 (class 2604 OID 17445)
-- Dependencies: 1419 1418 1419
-- Name: questionnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_questions ALTER COLUMN questionnr SET DEFAULT nextval('faq_questions_questionnr_seq'::regclass);


--
-- TOC entry 1887 (class 2604 OID 17322)
-- Dependencies: 1392 1393 1393
-- Name: entrynr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_ratings ALTER COLUMN entrynr SET DEFAULT nextval('faq_ratings_entrynr_seq'::regclass);


--
-- TOC entry 1779 (class 2604 OID 17146)
-- Dependencies: 1365 1366 1366
-- Name: settingnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_settings ALTER COLUMN settingnr SET DEFAULT nextval('faq_settings_settingnr_seq'::regclass);


--
-- TOC entry 1902 (class 2604 OID 17354)
-- Dependencies: 1399 1400 1400
-- Name: catnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_subcategory ALTER COLUMN catnr SET DEFAULT nextval('faq_subcategory_catnr_seq'::regclass);


--
-- TOC entry 1841 (class 2604 OID 17226)
-- Dependencies: 1372 1371 1372
-- Name: subscriptionnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_subscriptions ALTER COLUMN subscriptionnr SET DEFAULT nextval('faq_subscriptions_subscriptionnr_seq'::regclass);


--
-- TOC entry 1942 (class 2604 OID 17431)
-- Dependencies: 1415 1416 1416
-- Name: textnr; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_texts ALTER COLUMN textnr SET DEFAULT nextval('faq_texts_textnr_seq'::regclass);


--
-- TOC entry 2250 (class 2604 OID 17834)
-- Dependencies: 1448 1447 1448
-- Name: val_id; Type: DEFAULT; Schema: public; Owner: root
--

ALTER TABLE faq_val ALTER COLUMN val_id SET DEFAULT nextval('faq_val_val_id_seq'::regclass);


--
-- TOC entry 2253 (class 2606 OID 17242)
-- Dependencies: 1373 1373 1373
-- Name: faq_filetypedescription_mimetype_key; Type: CONSTRAINT; Schema: public; Owner: root; Tablespace: 
--

ALTER TABLE ONLY faq_filetypedescription
    ADD CONSTRAINT faq_filetypedescription_mimetype_key UNIQUE (mimetype, "language");


--
-- TOC entry 2255 (class 2606 OID 17426)
-- Dependencies: 1414 1414
-- Name: faq_hostcache_ipadr_key; Type: CONSTRAINT; Schema: public; Owner: root; Tablespace: 
--

ALTER TABLE ONLY faq_hostcache
    ADD CONSTRAINT faq_hostcache_ipadr_key UNIQUE (ipadr);


--
-- TOC entry 2256 (class 1259 OID 17549)
-- Dependencies: 1436
-- Name: faq_data_category; Type: INDEX; Schema: public; Owner: root; Tablespace: 
--

CREATE INDEX faq_data_category ON faq_data USING btree (category);


--
-- TOC entry 2257 (class 1259 OID 17823)
-- Dependencies: 1445
-- Name: faq_session_remoteip; Type: INDEX; Schema: public; Owner: root; Tablespace: 
--

CREATE INDEX faq_session_remoteip ON faq_session USING btree (remoteip);


--
-- TOC entry 2258 (class 1259 OID 17821)
-- Dependencies: 1445
-- Name: faq_session_sessid; Type: INDEX; Schema: public; Owner: root; Tablespace: 
--

CREATE INDEX faq_session_sessid ON faq_session USING btree (sessid);


--
-- TOC entry 2259 (class 1259 OID 17822)
-- Dependencies: 1445
-- Name: faq_session_starttime; Type: INDEX; Schema: public; Owner: root; Tablespace: 
--

CREATE INDEX faq_session_starttime ON faq_session USING btree (starttime);


--
-- TOC entry 2264 (class 0 OID 0)
-- Dependencies: 4
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2007-12-03 09:47:38

--
-- PostgreSQL database dump complete
--

