<?php
/***************************************************************************
 * (c)2001-2007 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
if (!defined("from_ginc"))
	exit();
// DB functions for Microsoft SQL Server
function faqe_db_connect($dbhost,$dbuser,$dbpasswd,$dbname,$err_query)
{
	if(!$db = @mssql_connect($dbhost,$dbuser,$dbpasswd))
		die($err_query);
	if(!@mssql_select_db($dbname,$db))
		die($err_query);
	return $db;
}

function faqe_db_commit($db)
{
	if(!@mssql_query("COMMIT",$db))
	{
		@mssql_query("ROLLBACK",$db);
		return false;
	}
	return true;
}

function faqe_db_query_limit($sql,$db,$start,$limit)
{
	if($limit)
	{
		if (strpos($sql,"SELECT DISTINCT")==0)
			$sql="SELECT DISTINCT TOP (".($limit+$start).") ".substr($sql,15);
		else
			$sql="SELECT TOP (".($limit+$start).") ".substr($sql, 6);
	}
	$result = faqe_db_query($sql,$db);
	if(($start) && ($result))
		@mssql_data_seek($result, $start);
	return $result;
}

function faqe_db_query($sql,$db,$docommit=false)
{
	if($docommit)
	{
		if(!@mssql_query("BEGIN TRANSACTION",$db))
			return false;
	}
	$result=@mssql_query($sql,$db);
	if(!$docommit)
		return $result;
	else
		return faqe_db_commit($db);
}

function faqe_db_fetch_array($result)
{
	return @mssql_fetch_array($result);
}

function faqe_db_error($db)
{
	return @mssql_get_last_message();
}

function faqe_db_num_rows($result)
{
	return @mssql_num_rows($result);
}

function faqe_db_list_tables($dbname)
{
	return "";
}

function faqe_db_tablename($table, $index)
{
	return "";
}

function faqe_db_num_fields($result)
{
	return @mssql_num_fields($result);
}

function faqe_db_field_name($result, $index)
{
	return @mssql_field_name($result, $index);
}

function faqe_db_field_type($result, $index)
{
	return @mssql_field_type($result, $index);
}

function faqe_db_fetch_row($result)
{
	return @mssql_fetch_row($result);
}

function faqe_db_insert_id($db,$tablename,$fieldname)
{
	$insertid = @mssql_query("SELECT @@IDENTITY", $db);
	if($insertid)
	{
		if($row=@mssql_fetch_array($insertid))
		{
			@mssql_free_result($insertid);
			return $row["computed"];
		}
		@mssql_free_result($insertid);
	}
	return false;
}

function faqe_db_free_result($result)
{
	return @mssql_free_result($result);
}
?>