<?php
/***************************************************************************
 * (c)2001-2009 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
if (!defined("from_ginc"))
	exit();
// DB functions for PostgreSQL
function faqe_db_connect($dbhost,$dbuser,$dbpasswd,$dbname,$err_query)
{
	if(!$db = @pg_connect("host=".$dbhost." user=".$dbuser." password=".$dbpasswd." dbname=".$dbname))
		die($err_query);
//	for debugging: comment line above, uncomment line below
//	die($err_query."<br>".pg_last_error());
	return $db;
}

function faqe_db_commit($db)
{
	if( !@pg_exec($db, "COMMIT") )
	{
		@pg_exec($db, "ROLLBACK");
		return false;
	}
	return true;
}

function faqe_db_query_limit($sql,$db,$start,$limit)
{
	$sql.=" LIMIT $start OFFSET $limit";
	return (faqe_db_query($sql,$db));
}

function faqe_db_query($sql,$db,$docommit=false)
{
	$result=@pg_query($db,$sql);
	if(!$docommit || !$result)
		return $result;
	else
		return faqe_db_commit($db);
}

function faqe_db_fetch_array($result)
{
	return @pg_fetch_array($result);
}

function faqe_db_error($db)
{
	return @pg_last_error();
}

function faqe_db_num_rows($result)
{
	return @pg_num_rows($result);
}

function faqe_db_list_tables($dbname)
{
	return "";
}

function faqe_db_tablename($table, $index)
{
	return "";
}

function faqe_db_num_fields($result)
{
	return @pg_num_fields($result);
}

function faqe_db_field_name($result, $index)
{
	return @pg_field_name($result, $index);
}

function faqe_db_field_type($result, $index)
{
	return @pg_field_type($result, $index);
}

function faqe_db_fetch_row($result)
{
	return @pg_fetch_row($result);
}

function faqe_db_insert_id($db,$tablename,$fieldname)
{
	$tmpsql="SELECT currval('".$tablename."_".$fieldname."_seq') AS lastinsertid;";
	if(!$result=@pg_query($db,$tmpsql))
		return -1;
	if(!$tmprow=@pg_fetch_array($result))
		return -1;
	return $tmprow["lastinsertid"];
}

function faqe_db_free_result($result)
{
	return @pg_free_result($result);
}
?>