<?php
/***************************************************************************
 * (c)2002-2009 Boesch IT-Consulting (info@boesch-it.de)
 ***************************************************************************/
if (!defined("ginc_read"))
	exit();
$timezones=array(
	array("Africa/Abidja","+0000", "+0000","","","GMT",""),
	array("Africa/Accra","+0000", "+0000","","","GMT",""),
	array("Africa/Addis Ababa","+0300", "+0300","","","EAT",""),
	array("Africa/Algiers","+0100", "+0100","","","CET",""),
	array("Africa/Asmera","+0300", "+0300","EAT",""),
	array("Africa/Bamako","+0000", "+0000","","","GMT",""),
	array("Africa/Bangui","+0100", "+0100","","","WAT",""),
	array("Africa/Banjul","+0000", "+0000","","","GMT",""),
	array("Africa/Bissau","+0000", "+0000","","","GMT",""),
	array("Africa/Blantyre","+0200", "+0200","","","CAT",""),
	array("Africa/Brazzaville","+0100", "+0100","","","WAT",""),
	array("Africa/Bujumbura","+0200", "+0200","","","CAT","CAT"),
	array("Africa/Casablanca","+0000", "+0000","","","WET",""),
	array("Africa/Cairo","+0200", "+0300","L:Fri:4","L:Thu:9","EET","EEST"),
	array("Africa/Ceuta","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Africa/Conakry","+0000", "+0000","","","GMT",""),
	array("Africa/Dakar","+0000", "+0000","","","GMT",""),
	array("Africa/Dar es Salaam","+0300", "+0300","","","EAT",""),
	array("Africa/Djibouti","+0300", "+0300","","","EAT",""),
	array("Africa/Douala","+0100", "+0100","","","WAT",""),
	array("Africa/El Aaiun","+0000", "+0000","","","WET",""),
	array("Africa/Freetown","+0000", "+0000","","","GMT",""),
	array("Africa/Gaborone","+0200", "+0200","","","CAT",""),
	array("Africa/Harare","+0200", "+0200","","","CAT",""),
	array("Africa/Johannesburg","+0200", "+0200","","","SAST",""),
	array("Africa/Kampala","+0300", "+0300","","","EAT",""),
	array("Africa/Khartoum","+0300", "+0300","","","CAT".""),
	array("Africa/Kigali","+0200", "+0200","","","CAT",""),
	array("Africa/Kinshasa","+0100", "+0100","","","WAT",""),
	array("Africa/Lagos","+0100", "+0100","","","WAT",""),
	array("Africa/Libreville","+0100", "+0100","","","WAT",""),
	array("Africa/Lome","+0000", "+0000","","","GMT",""),
	array("Africa/Luanda","+0100", "+0100","","","WAT",""),
	array("Africa/Lubumbashi","+0200", "+0200","","","CAT",""),
	array("Africa/Lusaka","+0200", "+0200","","","CAT",""),
	array("Africa/Malabo","+0100", "+0100","","","WAT",""),
	array("Africa/Maputo","+0200", "+0200","","","CAT",""),
	array("Africa/Maseru","+0200", "+0200","","","SAST",""),
	array("Africa/Mbabane","+0200", "+0200","","","SAST",""),
	array("Africa/Mogadishu","+0300", "+0300","","","EAT",""),
	array("Africa/Nairobi","+0300", "+0300","","","EAT",""),
	array("Africa/Ndjamena","+0100", "+0100","","","WAT",""),
	array("Africa/Niamey","+0100", "+0100","","","WAT",""),
	array("Africa/Nouakchott","+0000", "+0000","","","GMT",""),
	array("Africa/Ouagadougou","+0000", "+0000","","","GMT",""),
	array("Africa/Porto-Novo","+0100", "+0100","","","WAT",""),
	array("Africa/Sao Tome","+0000", "+0000","","","GMT",""),
	array("Africa/Timbuktu","+0000", "+0000","","","GMT",""),
	array("Africa/Tripoli","+0200", "+0200","","","EET",""),
	array("Africa/Tunis","+0100", "+0100","","","CET",""),
	array("Africa/Windhoek","+0100", "+0200","1:Sun:9","1:Sun:4","WAT","WAST"),
	array("America/Adak","-1000", "-0900","1:Sun:4","L:Sun:10","HAST","HADT"),
	array("America/Anchorage","-0900", "-0800","1:Sun:4","L:Sun:10","AKST","AKDT"),
	array("America/Anguilla","-0400", "-0400","","","AST",""),
	array("America/Antigua","-0400", "-0400","","","AST",""),
	array("America/Araguaina","-0300", "-0200","2:Sun:10","3:Sun:2","EST","EST"),
	array("America/Aruba","-0400", "-0400","","","AST",""),
	array("America/Asuncion","-0400", "-0300","1:Sun:10","L:Sun:2","PYT","PYST"),
	array("America/Barbados","-0400", "-0400","","","AST",""),
	array("America/Belem","-0300", "-0300","","","EST",""),
	array("America/Belize","-0600", "-0600","","","CST",""),
	array("America/Bogota","-0500", "-0500","","","COT",""),
	array("America/Boise","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/Buenos Aires","-0300", "-0300","","","ART",""),
	array("America/Cancun","-0600", "-0500","1:Sun:4","L:Sub:10","CST","CDT"),
	array("America/Caracas","-0400", "-0400","","","VET",""),
	array("America/Catamarca","-0300", "-0300","","","ART",""),
	array("America/Cayenne","-0300", "-0300","","","GFT",""),
	array("America/Cayman","-0500", "-0500","","","EST",""),
	array("America/Chicago","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Chihuahua","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/Cordoba","-0300", "-0300","","","ART",""),
	array("America/Costa Rica","-0600", "-0600","","","CST",""),
	array("America/Cuiaba","-0300", "-0400","","","WST",""),
	array("America/Curacao","-0400", "-0400","","","AST",""),
	array("America/Dawson","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Dawson Creek","-0700", "-0700","","","MST",""),
	array("America/Denver","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/Detroit","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Dominica","-0400", "-0400","","","AST",""),
	array("America/Edmonton","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/El Salvador","-0600", "-0600","","","CST",""),
	array("America/Ensenada","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Fortaleza","-0300", "-0300","","","EST",""),
	array("America/Glace Bay","-0400", "-0300","1:Sun:4","L:Sun:10","AST","ADT"),
	array("America/Godthab","-0300", "-0200","L:Sun:3","L:Sun:10","WGT","WGST"),
	array("America/Goose Bay","-0400", "-0300","1:Sun:4","L:Sun:10","AST","ADT"),
	array("America/Grand Turk","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Grenada","-0400", "-0400","","","AST",""),
	array("America/Guadeloupe","-0400", "-0400","","","AST",""),
	array("America/Guatemala","-0600", "-0600","","","CST",""),
	array("America/Guayaquil","-0500", "-0500","","","ECT",""),
	array("America/Guyana","-0400", "-0400","","","GYT",""),
	array("America/Halifax","-0400", "-0300","1:Sun:4","L:Sun:10","AST","ADT"),
	array("America/Havana","-0500", "-0400","L:Sun:3","L:Sun:10","CST","CDT"),
	array("America/Indiana/Knox","-0500", "-0500","","","EST",""),
	array("America/Indiana/Marengo","-0500", "-0500","","","EST",""),
	array("America/Indiana/Vevay","-0500", "-0500","","","EST",""),
	array("America/Indianapolis","-0500", "-0500","","","EST",""),
	array("America/Inuvik","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/Iqaluit","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Jamaica","-0500", "-0500","","","EST",""),
	array("America/Jujuy","-0300", "-0300","","","ART",""),
	array("America/Juneau","-0900", "-0800","1:Sun:4","L:Sun:10","AKST","AKDT"),
	array("America/La Paz","-0400", "-0400","","","BOT",""),
	array("America/Lima","-0500", "-0500","","","PET",""),
	array("America/Los Angeles","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Louisville","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Maceio","-0300", "-0300","","","EST",""),
	array("America/Managua","-0600", "-0600","","","CST",""),
	array("America/Manaus","-0400", "-0400","","","WST",""),
	array("America/Martinique","-0400", "-0400","","","AST",""),
	array("America/Mazatlan","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/Mendoza","-0300", "-0300","","","ART",""),
	array("America/Menominee","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Mexico City","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Miquelon","-0300", "-0200","1:Sun:4","L:Sun:10","PMT","PMDT"),
	array("America/Montevideo","-0300", "-0300","","","UYT",""),
	array("America/Montreal","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Montserrat","-0400", "-0400","","","AST",""),
	array("America/Nassau","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/New York","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Nipigon","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Nome","-0900", "-0800","1:Sun:4","L:Sun:10","AKST","AKDT"),
	array("America/Noronha","-0200", "-0200","","","FST",""),
	array("America/Panama","-0500", "-0500","","","EST",""),
	array("America/Pangnirtung","-0500", "-0400","1:Sun:4","L:Sun:10","AST","ADT"),
	array("America/Paramaribo","-0300", "-0300","","","SRT",""),
	array("America/Phoenix","-0700", "-0700","","","MST",""),
	array("America/Port-au-Prince","-0500", "-0500","","","EST",""),
	array("America/Port of Spain","-0400", "-0400","","","AST",""),
	array("America/Porto Acre","-0500", "-0500","","","ACT",""),
	array("America/Porto Velho","-0400", "-0400","","","WST",""),
	array("America/Puerto Rico","-0400", "-0400","","","AST",""),
	array("America/Rainy River","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Rankin Inlet","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Regina","-0600", "-0600","","","CST",""),
	array("America/Rosario","-0300", "-0300","","","ART",""),
	array("America/Santiago","-0400", "-0300","2:Sun:10","2:Sun:3","CLT","CLST"),
	array("America/Santo Domingo","-0400", "-0400","","","AST",""),
	array("America/Sao Paulo","-0300", "-0200","2:Sun:10","3:Sun:2","EST","EST"),
	array("America/Scoresbysund","-0100", "+0000","L:Sun:3","L:Sun:10","EGT","EGST"),
	array("America/Shiprock","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("America/St Johns","-0330", "-0230","1:Sun:4","L:Sun:10","NST","NDT"),
	array("America/St Kitts","-0400", "-0400","","","AST",""),
	array("America/St Lucia","-0400", "-0400","","","AST",""),
	array("America/St Thomas","-0400", "-0400","","","AST",""),
	array("America/St Vincent","-0400", "-0400","","","AST",""),
	array("America/Swift Current","-0600", "-0600","","","CST",""),
	array("America/Tegucigalpa","-0600", "-0600","","","CST",""),
	array("America/Thule","-0400", "-0300","1:Sun:4","L:Sun:10","AST","ADT"),
	array("America/Thunder Bay","-0500", "-0400","1:Sun:4","L:Sun:10","EST","EDT"),
	array("America/Tijuana","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Tortola","-0400", "-0400","","","AST",""),
	array("America/Vancouver","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Whitehorse","-0800", "-0700","1:Sun:4","L:Sun:10","PST","PDT"),
	array("America/Winnipeg","-0600", "-0500","1:Sun:4","L:Sun:10","CST","CDT"),
	array("America/Yakutat","-0900", "-0800","1:Sun:4","L:Sun:10","AKST","AKDT"),
	array("America/Yellowknife","-0700", "-0600","1:Sun:4","L:Sun:10","MST","MDT"),
	array("Antarctica/Casey","+0800", "+0800","","","WST",""),
	array("Antarctica/Davis","+0700", "+0700","","","DAVT",""),
	array("Antarctica/DumontDUrville","+1000", "+1000","","","DDUT",""),
	array("Antarctica/Mawson","+0600", "+0600","","","MAWT",""),
	array("Antarctica/McMurdo","+1200", "+1300","1:Sun:10","3:Sun:3","NZST","NZDT"),
	array("Antarctica/Palmer","-0400", "-0300","1:Sun:10","1:Sun:3","CLT","CLST"),
	array("Antarctica/South Pole","+1200", "+1300","1:Sun:10","3:Sun:3","NZST","NZDT"),
	array("Arctic/Longyearbyen","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Asia/Aden","+0300", "+0300","","","AST",""),
	array("Asia/Almaty","+0600", "+0700","L:Sun:3","L:Sun:10","ALMT","ALMST"),
	array("Asia/Amman","+0200", "+0300","1:Fri:4","3:Fri:9","EET","EEST"),
	array("Asia/Anadyr","+1200", "+1300","L:Sun:3","L:Sun:10","ANAT","ANAST"),
	array("Asia/Aqtau","+0400", "+0500","L:Sun:3","L:Sun:10","AQTT","AQTST"),
	array("Asia/Aqtobe","+0500", "+0600","L:Sun:3","L:Sun:10","AQTT","AQTST"),
	array("Asia/Ashkhabad","+0500", "+0500","","","TMT",""),
	array("Asia/Baghdad","+0300", "+0400","1::4","1::10","AST","ADT"),
	array("Asia/Bahrain","+0300", "+0300","","","AST",""),
	array("Asia/Baku","+0400", "+0500","L:Sun:3","L:Sun:10","AZT","AZST"),
	array("Asia/Bangkok","+0700", "+0700","","","ICT",""),
	array("Asia/Beirut","+0200", "+0300","L:Sun:3","L:Sun:9","EET","EEST"),
	array("Asia/Bishkek","+0500", "+0600","L:Sun:3","L:Sun:10","KGT","KGST"),
	array("Asia/Brunei","+0800", "+0800","","","BNT",""),
	array("Asia/Calcutta","+0530", "+0530","","","IST",""),
	array("Asia/Chungking","+0800", "+0800","","","CST",""),
	array("Asia/Colombo","+0600", "+0600","","","LKT",""),
	array("Asia/Dacca","+0600", "+0600","","","BDT",""),
	array("Asia/Damascus","+0200", "+0300","1::4","1::10","EET","EEST"),
	array("Asia/Dubai","+0400", "+0400","","","GST",""),
	array("Asia/Dushanbe","+0500", "+0500","","","TJT".""),
	array("Asia/Gaza","+0200", "+0300","1:Fri:4","3:Fri:9","EET","EEST"),
	array("Asia/Harbin","+0800", "+0800","","","CST",""),
	array("Asia/Hong Kong","+0800", "+0800","","","CST",""),
	array("Asia/Irkutsk","+0800", "+0900","L:Sun:3","L:Sun:10","IRKT","IRKST"),
	array("Asia/Jakarta","+0700", "+0700","","","JAVT",""),
	array("Asia/Jayapura","+0900", "+0900","","","JAYT",""),
	array("Asia/Jerusalem","+0200", "+0300","1:Fri:4","1:Fri:9","IST","IDT"),
	array("Asia/Kabul","+0430", "+0430","","","AFT",""),
	array("Asia/Kamchatka","+1200", "+1300","L:Sun:3","L:Sun:10","PETT","PETST"),
	array("Asia/Karachi","+0500", "+0500","","","PKT",""),
	array("Asia/Kashgar","+0800", "+0800","","","CST",""),
	array("Asia/Katmandu","+0545", "+0545","","","NPT",""),
	array("Asia/Krasnoyarsk","+0700", "+0800","L:Sun:3","L:Sun:10","KRAT","KRAST"),
	array("Asia/Kuala Lumpur","+0800", "+0800","","","MYT",""),
	array("Asia/Kuching","+0800", "+0800","","","MYT",""),
	array("Asia/Kuwait","+0300", "+0300","","","AST",""),
	array("Asia/Macao","+0800", "+0800","","","CST",""),
	array("Asia/Magadan","+1100", "+1200","L:Sun:3","L:Sun:10","MAGT","MAGST"),
	array("Asia/Manila","+0800", "+0800","","","PHT",""),
	array("Asia/Muscat","+0400", "+0400","","","GST",""),
	array("Asia/Nicosia","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Asia/Novosibirsk","+0600", "+0700","L:Sun:3","L:Sun:10","NOVT","NOVST"),
	array("Asia/Omsk","+0600", "+0700","L:Sun:3","L:Sun:10","OMST","OMSST"),
	array("Asia/Phnom Penh","+0700", "+0700","","","ICT",""),
	array("Asia/Pyongyang","+0900", "+0900","","","KST",""),
	array("Asia/Qatar","+0300", "+0300","","","AST",""),
	array("Asia/Rangoon","+0630", "+0630","","","MMT",""),
	array("Asia/Riyadh","+0300", "+0300","","","AST",""),
	array("Asia/Saigon","+0700", "+0700","","","ICT",""),
	array("Asia/Samarkand","+0500", "+0500","","","UZT",""),
	array("Asia/Seoul","+0900", "+0900","","","KST",""),
	array("Asia/Shanghai","+0800", "+0800","","","CST",""),
	array("Asia/Singapore","+0800", "+0800","","","SGT",""),
	array("Asia/Taipei","+0800", "+0800","","","CST",""),
	array("Asia/Tashkent","+0500", "+0500","","","UZT",""),
	array("Asia/Tbilisi","+0400", "+0500","L:Sun:3","L:Sun:10","GET","GEST"),
	array("Asia/Tehran","+0330", "+0430","20::3","22:9","IRT","IRST"),
	array("Asia/Thimbu","+0600", "+0600","","","BTT",""),
	array("Asia/Tokyo","+0900", "+0900","","","JST",""),
	array("Asia/Ujung Pandang","+0800", "+0800","","","BORT",""),
	array("Asia/Ulan Bator","+0800", "+0800","L:Sun:3","L:Sun:10","ULAT","ULAST"),
	array("Asia/Urumqi","+0800", "+0800","","","CST",""),
	array("Asia/Vientiane","+0700", "+0700","","","ICT",""),
	array("Asia/Vladivostok","+1000", "+1100","L:Sun:3","L:Sun:10","VLAT","VLAST"),
	array("Asia/Yakutsk","+0900", "+1000","L:Sun:3","L:Sun:10","YAKT","YAKST"),
	array("Asia/Yekaterinburg","+0500", "+0600","L:Sun:3","L:Sun:10","YEKT","YEKST"),
	array("Asia/Yerevan","+0400", "+0500","L:Sun:3","L:Sun:10","AMT","AMST"),
	array("Atlantic/Azores","-0100", "+0000","L:Sun:3","L:Sun:10","AZOT","AZOST"),
	array("Atlantic/Bermuda","-0400", "-0300","1:Sun:4","L:Sun:10","AST","ADT"),
	array("Atlantic/Canary","+0000", "+0100","L:Sun:3","L:Sun:10","WET","WEST"),
	array("Atlantic/Cape Verde","-0100", "-0100","","","CVT",""),
	array("Atlantic/Faeroe","+0000", "+0100","L:Sun:3","L:Sun:10","WET","WEST"),
	array("Atlantic/Jan Mayen","-0100", "-0100","","","EGT",""),
	array("Atlantic/Madeira","+0000", "+0100","L:Sun:3","L:Sun:10","WET","WEST"),
	array("Atlantic/Reykjavik","+0000", "+0000","","","GMT",""),
	array("Atlantic/South Georgia","-0200", "-0200","","","GST",""),
	array("Atlantic/St Helena","+0000", "+0000","","","GMT",""),
	array("Atlantic/Stanley","-0400", "-0300","2:Sun:9","2:Sun:4","FKT","FKST"),
	array("Australia/Adelaide","+0930", "+1030","L:Sun:10","L:Sun:3","CST","CDT"),
	array("Australia/Brisbane","+1000", "+1000","","","EST",""),
	array("Australia/Broken Hill","+0930", "+1030","L:Sun:10","L:Sun:3","CST","CDT"),
	array("Australia/Darwin","+0930", "+0930","","","CST",""),
	array("Australia/Hobart","+1000", "+1100","1:Sun:10","L:Sun:3","EST","EDT"),
	array("Australia/Lindeman","+1000", "+1000","","","EST",""),
	array("Australia/Lord Howe","+1030", "+1100","L:Sun:10","L:Sun:3","LHST","LHDT"),
	array("Australia/Melbourne","+1000", "+1100","L:Sun:10","L:Sun:3","EST","EDT"),
	array("Australia/Perth","+0800", "+0800","","","WST",""),
	array("Australia/Sydney","+1000", "+1100","L:Sun:10","L:Sun:3","EST","EDT"),
	array("Europe/Amsterdam","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Andorra","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Athens","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Belfast","+0000", "+0100","L:Sun:3","L:Sun:10","GMT","BST"),
	array("Europe/Belgrade","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Berlin","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Bratislava","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Brussels","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Bucharest","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Budapest","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Chisinau","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Copenhagen","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Dublin","+0000", "+0100","L:Sun:3","L:Sun:10","GMT","IST"),
	array("Europe/Gibraltar","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Helsinki","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Istanbul","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Kaliningrad","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Kiev","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Lisbon","+0000", "+0100","L:Sun:3","L:Sun:10","WET","WEST"),
	array("Europe/Ljubljana","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/London","+0000", "+0100","L:Sun:3","L:Sun:10","GMT","BST"),
	array("Europe/Luxembourg","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Madrid","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Malta","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Minsk","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Monaco","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Moscow","+0300", "+0400","L:Sun:3","L:Sun:10","MSK","MSD"),
	array("Europe/Oslo","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Paris","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Prague","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Riga","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Rome","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Samara","+0400", "+0500","L:Sun:3","L:Sun:10","SAMT","SAMST"),
	array("Europe/San Marino","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Sarajevo","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Simferopol","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EST"),
	array("Europe/Skopje","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Sofia","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EST"),
	array("Europe/Stockholm","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Tallinn","+0200", "+0300","L:Sun:3","L:Sun:10","EET","EEST"),
	array("Europe/Tirane","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Vaduz","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Vatican","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Vienna","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Vilnius","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Warsaw","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Zagreb","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Europe/Zurich","+0100", "+0200","L:Sun:3","L:Sun:10","CET","CEST"),
	array("Indian/Antananarivo","+0300", "+0300","","","EAT",""),
	array("Indian/Chagos","+0500", "+0500","","","IOT",""),
	array("Indian/Christmas","+0700", "+0700","","","CXT",""),
	array("Indian/Cocos","+0630", "+0630","","","CCT",""),
	array("Indian/Comoro","+0300", "+0300","","","EAT",""),
	array("Indian/Kerguelen","+0500", "+0500","","","TFT",""),
	array("Indian/Mahe","+0400", "+0400","","","SCT",""),
	array("Indian/Maldives","+0500", "+0500","","","MVT",""),
	array("Indian/Mauritius","+0400", "+0400","","","MUT",""),
	array("Indian/Mayotte","+0300", "+0300","","","EAT",""),
	array("Indian/Reunion","+0400", "+0400","","","RET",""),
	array("Pacific/Apia","-1100", "-1100","","","WST",""),
	array("Pacific/Auckland","+1200", "+1300","1:Sun:10","3:Sun:3","NZT","NZDT"),
	array("Pacific/Chatham","+1245", "+1345","1:Sun:10","3:Sun:3","CHAST","CHADT"),
	array("Pacific/Easter","-0600", "-0500","2:Sun:10","2:Sun:3","EAST","EASST"),
	array("Pacific/Efate","+1100", "+1100","","","VUT",""),
	array("Pacific/Enderbury","+1300", "+1300","","","PHOT",""),
	array("Pacific/Fakaofo","-1000", "-1000","","","TKT",""),
	array("Pacific/Fiji","+1200", "+1300","1:Sun:11","L:Sun:2","FJT","FJST"),
	array("Pacific/Funafuti","+1200", "+1200","","","TVT",""),
	array("Pacific/Galapagos","-0600", "-0600","","","GALT",""),
	array("Pacific/Gambier","-0900", "-0900","","","GAMT",""),
	array("Pacific/Guadalcanal","+1100", "+1100","","","SBT",""),
	array("Pacific/Guam","+1000", "+1000","","","GST",""),
	array("Pacific/Honolulu","-1000", "-1000","","","HST",""),
	array("Pacific/Johnston","-1000", "-1000","","","HST",""),
	array("Pacific/Kiritimati","+1400", "+1400","","","LINT",""),
	array("Pacific/Kosrae","+1200", "+1200","","","KOST",""),
	array("Pacific/Kwajalein","+1200", "+1200","","","MHT",""),
	array("Pacific/Majuro","+1200", "+1200","","","MHT",""),
	array("Pacific/Marquesas","-0930", "-0930","","","MART",""),
	array("Pacific/Midway","-1100", "-1100","","","SST",""),
	array("Pacific/Nauru","+1200", "+1200","","","NRT",""),
	array("Pacific/Niue","-1100", "-1100","","","NUT",""),
	array("Pacific/Norfolk","+1130", "+1130","","","NFT",""),
	array("Pacific/Noumea","+1100", "+1100","","","NCT",""),
	array("Pacific/Pago Pago","-1100", "-1100","","","SST",""),
	array("Pacific/Palau","+0900", "+0900","","","PWT",""),
	array("Pacific/Pitcairn","-0830", "-0830","","","PNT",""),
	array("Pacific/Ponape","+1100", "+1100","","","PONT",""),
	array("Pacific/Port Moresby","+1000", "+1000","","","PGT",""),
	array("Pacific/Rarotonga","-1000", "-1000","","","CKT",""),
	array("Pacific/Saipan","+1000", "+1000","","","MPT",""),
	array("Pacific/Tahiti","-1000", "-1000","","","TAHT",""),
	array("Pacific/Tarawa","+1200", "+1200","","","GILT",""),
	array("Pacific/Tongatapu","+1300", "+1300","","","TOT",""),
	array("Pacific/Truk","+1000", "+1000","","","TRUT",""),
	array("Pacific/Wake","+1200", "+1200","","","WAKT",""),
	array("Pacific/Wallis","+1200", "+1200","","","WFT",""),
	array("Pacific/Yap","+1000", "+1000","","","YAPT",""),
	array("Etc/GMT+1","+0100", "+0100","","","GMT+1",""),
	array("Etc/GMT+10","+1000", "+1000","","","GMT+10",""),
	array("Etc/GMT+11","+1100", "+1100","","","GMT+11",""),
	array("Etc/GMT+12","+1200", "+1200","","","GMT+12",""),
	array("Etc/GMT+2","+0200", "+0200","","","GMT+2",""),
	array("Etc/GMT+3","+0300", "+0300","","","GMT+3",""),
	array("Etc/GMT+4","+0400", "+0400","","","GMT+4",""),
	array("Etc/GMT+5","+0500", "+0500","","","GMT+5",""),
	array("Etc/GMT+6","+0600", "+0600","","","GMT+6",""),
	array("Etc/GMT+7","+0700", "+0700","","","GMT+7",""),
	array("Etc/GMT+8","+0800", "+0800","","","GMT+8",""),
	array("Etc/GMT+9","+0900", "+0900","","","GMT+9",""),
	array("Etc/GMT-1","-0100", "-0100","","","GMT-1",""),
	array("Etc/GMT-10","-1000", "-1000","","","GMT-10",""),
	array("Etc/GMT-11","-1100", "-1100","","","GMT-11",""),
	array("Etc/GMT-12","-1200", "-1200","","","GMT-12",""),
	array("Etc/GMT-13","-1300", "-1300","","","GMT-13",""),
	array("Etc/GMT-14","-1400", "-1400","","","GMT-14",""),
	array("Etc/GMT-2","-0200", "-0200","","","GMT-2",""),
	array("Etc/GMT-3","-0300", "-0300","","","GMT-3",""),
	array("Etc/GMT-4","-0400", "-0400","","","GMT-4",""),
	array("Etc/GMT-5","-0500", "-0500","","","GMT-5",""),
	array("Etc/GMT-6","-0600", "-0600","","","GMT-6",""),
	array("Etc/GMT-7","-0700", "-0700","","","GMT-7",""),
	array("Etc/GMT-8","-0800", "-0800","","","GMT-8",""),
	array("Etc/GMT-9","-0900", "-0900","","","GMT-9",""),
	array("Etc/GMT","0000","0000","","","GMT","")
)
?>